| Kea 3.0.2-git

simple_remove_without_dhcid.h File Reference

This file defines the class SimpleRemoveWithoutDHCIDTransaction. More...

`#include <d2srv/nc_trans.h>`
Include dependency graph for simple_remove_without_dhcid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::SimpleRemoveWithoutDHCIDTransaction
| Embodies the "life-cycle" required to carry out a DDNS Remove update without removing any matching DHCID RRs. More...
class | isc::d2::SimpleRemoveWithoutDHCIDTransactionError
| Thrown if the SimpleRemoveWithoutDHCIDTransaction encounters a general error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< SimpleRemoveWithoutDHCIDTransaction > | isc::d2::SimpleRemoveWithoutDHCIDTransactionPtr
| Defines a pointer to a SimpleRemoveWithoutDHCIDTransaction.

## Detailed Description

This file defines the class SimpleRemoveWithoutDHCIDTransaction.

Definition in file simple_remove_without_dhcid.h.